#
#	$Id: dot.profile,v 1.8 1994/10/27 05:27:00 phk Exp $
#
# 1998.04.24 for FreeBSD 2.2.5R by Jun Obama <george@yk.rim.or.jp>
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/usr/local/sbin:/usr/local/java/bin:$HOME/bin
export PATH
HOME=/home/george ; export HOME
LANG=ja_JP.EUC ; export LANG
TZ=Asia/Tokyo ; export TZ
# MM_CHARSET=EUC ; export MM_CHARSET
LESSCHARSET=japanese; export LESSCHARSET
BLOCKSIZE=K; export BLOCKSIZE
MANPATH=/usr/local/man/:/usr/share/man:/usr/X11R6/man ; export MANPATH
MANPAGER=less ; export MANPAGER
PAGER=less ; export PAGER
EDITOR=/usr/local/bin/nvi ; export EDITOR
DOMAINNAME=yk.rim.or.jp ; export DOMAINNAME
#
#
#
PS1='\u@\h \w $'
# move into .xinitrc
# XMODIFIERS="@im=kinput2" ; export XMODIFIERS
# unset XMODIFIERS ; export XMODIFIERS
#
# for ls
#
alias ls='ls -F'
#
# for vi
#
alias vi='/usr/local/bin/nvi'
alias nvi='/usr/local/bin/nvi'
#
# for test view jpman 
#
alias jpman='env PATH=/usr/local/bin:$PATH gnroff -Tnippon -mandoc '
#
# for CVS
#
CVSROOT=/home/george/CVS ; export CVSROOT
#
#  for perl
#
PERLLIB=/usr/share/perl/ ; export PERL5LIB
PERL5LIB=/usr/local/lib/perl5/ ; export PERL5LIB
#
#  for kaffe (java)
#
#CLASSPATH=.:/usr/local/share/kaffe/classes.zip
#KAFFEHOME=/usr/local/share/kaffe
#LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH
#export CLASSPATH KAFFEHOME LD_LIBRARY_PATH
#
#  for jdk ports (java)
#
#CLASSPATH=. ; export CLASSPATH
#LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH export LD_LIBRARY_PATH
#
#
#  for java testing function
#
function javatest () {
	for i in $*
	do
		j=${i/.java/}
		if javac $j.java ; then
			java $j
		fi
	done
}
#
# for mnews (for reading local disk news from gnspool)
#
NEWSSPOOL=~/gnspool ; export NEWSSPOOL
NEWSLIB=~/gnspool/lib ; export NEWSLIB
#
# for my ports making
#
alias portmake='env DISTDIR=/home/arc make'
#
# for Testing Netscape Communicator 4.04(FreeBSD)
#
alias nc404='/usr/local/netscape404freebsd/jnetscape'
#
# for X font server
#
FONTSERVER=localhost:7100 ; export FONTSERVER
#
# for Xserver to use deferglyphs
#
alias x11='startx -- -deferglyphs all'
#
#  end of file
#
